/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { IShortPeriodLongPeriod_$type } from "./IShortPeriodLongPeriod";
import { ChaikinOscillatorIndicatorStrategy } from "./ChaikinOscillatorIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class ChaikinOscillatorIndicator extends StrategyBasedIndicator {
    get_p0() {
        return new ChaikinOscillatorIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return ChaikinOscillatorIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get shortPeriod() {
        return typeGetValue(this.c(ChaikinOscillatorIndicator.qm));
    }
    set shortPeriod(a) {
        this.h(ChaikinOscillatorIndicator.qm, a);
    }
    p8() {
        return this.shortPeriod;
    }
    get longPeriod() {
        return typeGetValue(this.c(ChaikinOscillatorIndicator.ql));
    }
    set longPeriod(a) {
        this.h(ChaikinOscillatorIndicator.ql, a);
    }
    p5() {
        return this.longPeriod;
    }
}
ChaikinOscillatorIndicator.qm = StrategyBasedIndicator.qk(3, ChaikinOscillatorIndicator.$);
ChaikinOscillatorIndicator.ql = StrategyBasedIndicator.qg(10, ChaikinOscillatorIndicator.$);
ChaikinOscillatorIndicator.$t = markType(ChaikinOscillatorIndicator, 'ChaikinOscillatorIndicator', StrategyBasedIndicator.$, [IShortPeriodLongPeriod_$type]);
/*<BeginStatics Name="Infragistics.Controls.Charts.ChaikinOscillatorIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.ChaikinOscillatorIndicator" />*/
